Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP
Browse files

Fix.

  • Loading branch information...
commit 3160339af480446a7355a6dd56b9819370c00c5a 1 parent aa17c5a
@joost authored
Showing with 13 additions and 13 deletions.
  1. +11 −11 Gemfile.lock
  2. +1 −1  lib/phony_rails.rb
  3. +1 −1  lib/phony_rails/version.rb
View
22 Gemfile.lock
@@ -1,7 +1,7 @@
PATH
remote: .
specs:
- phony_rails (0.1.13)
+ phony_rails (0.2.2)
activerecord (>= 3.0)
countries (>= 0.8.2)
phony (>= 1.7.7)
@@ -9,16 +9,16 @@ PATH
GEM
remote: http://rubygems.org/
specs:
- activemodel (3.2.12)
- activesupport (= 3.2.12)
+ activemodel (3.2.13)
+ activesupport (= 3.2.13)
builder (~> 3.0.0)
- activerecord (3.2.12)
- activemodel (= 3.2.12)
- activesupport (= 3.2.12)
+ activerecord (3.2.13)
+ activemodel (= 3.2.13)
+ activesupport (= 3.2.13)
arel (~> 3.0.2)
tzinfo (~> 0.3.29)
- activesupport (3.2.12)
- i18n (~> 0.6)
+ activesupport (3.2.13)
+ i18n (= 0.6.1)
multi_json (~> 1.0)
arel (3.0.2)
builder (3.0.4)
@@ -41,8 +41,8 @@ GEM
rb-fchange (~> 0.0.5)
rb-fsevent (~> 0.9.1)
rb-inotify (~> 0.8.8)
- multi_json (1.6.0)
- phony (1.8.6)
+ multi_json (1.7.2)
+ phony (1.9.0)
rake (10.0.3)
rb-fchange (0.0.5)
ffi
@@ -59,7 +59,7 @@ GEM
rspec-mocks (2.11.1)
sqlite3 (1.3.6)
thor (0.15.4)
- tzinfo (0.3.35)
+ tzinfo (0.3.37)
PLATFORMS
ruby
View
2  lib/phony_rails.rb
@@ -49,7 +49,7 @@ def set_phony_normalized_numbers(attributes, options = {})
options[:country_code] ||= self.country_code if self.respond_to?(:country_code)
attributes.each do |attribute|
attribute_name = options[:as] || attribute
- raise RuntimeError, "No attribute #{attribute_name} found on #{self.class.name} (PhonyRails)" if not self.attribute_method?(attribute_name)
+ raise RuntimeError, "No attribute #{attribute_name} found on #{self.class.name} (PhonyRails)" if not self.class.attribute_method?(attribute_name)
write_attribute(attribute_name, PhonyRails.normalize_number(read_attribute(attribute), options))
end
end
View
2  lib/phony_rails/version.rb
@@ -1,3 +1,3 @@
module PhonyRails
- VERSION = "0.2.1"
+ VERSION = "0.2.2"
end
Please sign in to comment.
Something went wrong with that request. Please try again.